Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm newbie on BSD.

I installed FreeBSD with minimal configuration, so there's no package installed. I tried pkg_add -r emacs, the command tried installing many of X11 related packages (not sure, but it look like). There are so many ports on BSD ports website, so I'm confusing what's suitable for me.

I'm looking for a light-weight Emac with command-line interface. I'm trying to use command-line only environment. So GUI is not an option.

share|improve this question
    
What version of FreeBSD? Are you sure it was installing X11 and not just some of the Xlibraries that Emacs requires? –  Jed Daniels Aug 27 '10 at 1:33
1  
$ pkg_add -r vim-lite /me ducks ;) –  EEAA Aug 27 '10 at 1:40
    
@Jed I'm not sure it was X11 or not, but it look like X11 packages. So many packages. I'm sorry for this. And I don't think Emacs requires any X11 related library packages. BSD version is 8.1 –  Eonil Aug 27 '10 at 1:59
1  
@ErikA, vi is included in the base system. Real men use vi. @Eonil, Emacs can be built for X11 or without; see my answer for the without version. –  Chris S Aug 27 '10 at 2:54
    
@ChrisS Now it's years ago, and you were right. I ditched emacs and took vi. Real men use vi. –  Eonil Feb 27 at 2:11
add comment

1 Answer 1

up vote 4 down vote accepted

You want pkg_add -r emacs-nox11

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.